public class Kiste{
  private VFlasche[] dieVFlasche = new VFlasche[24];
  
  public Kiste(){
    int i;
    for(i=0;i<dieVFlasche.length;i++){ // fuer alle Stellpaetze
      dieVFlasche[i]=new VFlasche(); // erzeuge Flasche und stell in Kiste
    }
  }
  public VFlasche getFlasche(int i){ // gibt Flasche an Position i
    VFlasche flasche=null;
    if(i<0 || i>= dieVFlasche.length){
      System.out.println("getFlasche: Index ist ausserhalb des Bereichs "+i);
    }
    else{
      flasche = dieVFlasche[i]; // nimm Flasche an Position i
      dieVFlasche[i] = null;    // Position i ist jetzt leer
    }
    return flasche;           // gib Flasche zurueck
  }
  public VFlasche getFlasche(){ // gibt erste greifbare geschlossene Flasche
    VFlasche flasche = null;
    int i;
    for(i=0;i<dieVFlasche.length;i++){ // fuer alle Stellpaetze
      if (dieVFlasche[i] != null && !dieVFlasche[i].getOffen()){
        flasche = dieVFlasche[i]; // nimm Flasche an Position i
        dieVFlasche[i] = null;    // Position i ist jetzt leer
        break;                    // verlasse Schleife
      }
    }
    return flasche;               // gib Flasche zurueck
  }
  public boolean nimmFlasche(VFlasche f){ // stellt Falsche in ersten freien Platz
    int i;
    for(i=0;i<dieVFlasche.length;i++){ // fuer alle Stellpaetze
      if (dieVFlasche[i]==null){       // ist Platz frei
        dieVFlasche[i]=f;              // Flasche reinstellen
        return true;                   // Erfolg!
      }
    }
    return false;
  }
  public void zeigeInfo(){ // Zeigt Kisteninhalt an
    int volumen = 0;
    int i;
    for(i=0;i<dieVFlasche.length;i++){ // fuer alle Stellpaetze
      if (dieVFlasche[i]!=null){
        if(dieVFlasche[i].getOffen()){
          System.out.print('o'); // Flasche ohne Deckel
        }
        else{
          System.out.print('O'); // Flasche mit Deckel
        }
        volumen+=dieVFlasche[i].getFuellstand();
      }
      else {
        System.out.print('X'); // Keine Flasche
      }
    }
    System.out.println("\n Volumen: "+volumen);
  }
}
